﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FightLandloard.Modal
{
    /// <summary>
    /// 炸弹
    /// </summary>
    public class BomGroup:BaseCardGroup,IComparable<BomGroup>
    {
        int CountG;
        public BomGroup(List<Card> list) : base(list)
        {
            CountG = list.Count;
        }
        public override bool IsValid()
        {
            if (CountG == 2)
            {
                if (ListCards[0].CardNum != 51 && ListCards[1].CardNum != 53)
                {
                    return false;
                }
                else
                {
                    return true;
                }

            }
            else if (CountG == 4)
            {
                for (int i = 1; i < CountG; i++)
                {
                    if (ListCards[i].CardNum - ListCards[i - 1].CardNum != 0)
                    {
                        return false;
                    }
                }
                return true;
            }
            return false;
        }

        public override bool CompareToOther(BaseCardGroup oneC)
        {

            var bg = oneC as BomGroup;

            if (bg == null)
            {
                if (oneC != null)
                {
                    return true;
                }
                else
                {
                    //if (this.IsValid())
                    //{
                    //    return false;
                    //}
                    //else
                    //{
                    //    return false;
                    //}
                    return false;

                }

            }
            else
            {
                if (bg.CountG == 2 && bg.IsValid())
                {
                    return false;
                }
                else
                {
                    return base.CompareToOther(bg);
                }
            }

        }

        public int CompareTo(BomGroup other)
        {
            return this.ListCards[0].CardNum - other.ListCards[0].CardNum;
        }
    }
}
