﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FightLandloard.Modal
{
    /// <summary>
    /// 对子
    /// </summary>
    public class DoubleCardsGroup : BaseCardGroup
    {


        public DoubleCardsGroup(List<Card> listCards) : base(listCards)
        {
            CardB = listCards[1];
        }
        Card CardB;

        public override bool IsValid()
        {
            if (ListCards.Count == 2)
            {
                if (ListCards[0].IsEqual(ListCards[1]))
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }
            else
            {
                return false;
            }
        }

        public override bool CompareToOther(BaseCardGroup oneC)
        {
            var dgc = oneC as DoubleCardsGroup;

            if (dgc == null)
            {
                return false;
            }


            return base.CompareToOther(oneC);
        }

    }
}
