﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FightLandloard.Modal
{
    public class RobotPlayer : BasePlayer
    {
        public RobotPlayer(List<Card> list, EnumPlayerType pType) : base(list, pType)
        {

        }

        public RobotPlayer(BasePlayer p) : base(p.LstCards, p.PlayerType)
        {
            rd = new Random();
        }
        Random rd;
        public int RandomScore(int maxScore)
        {
            if (maxScore == -1)
            {
                return rd.Next(0, 3);
            }
            else if (maxScore == 3)
            {
                return 0;
            }
            else
            {
                return rd.Next(maxScore + 1, 3);
            }

        }

        public override BaseCardGroup PlayCard(BaseCardGroup g, List<Card> list)
        {
            list = new List<Card>();
            if (g == null)
            {
                list.Add(LstCards[0]);
                
                return base.PlayCard(g, list);
            }
            else
            {
                
                var t = g.GetType();
                if (t == typeof(BaseCardGroup))
                {
                    for (int i = 0; i < this.LstCards.Count; i++)
                    {
                        if(this.LstCards[i].CardNum > g.cardNum)
                        {
                            list.Add(this.LstCards[i]);
                            return base.PlayCard(g, list);
                           
                        }
                    }
                  return null;
                    
                }
                else
                {
                    return null;
                }
            }
           
        }

    }
}
