﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FightLandloard.Modal
{
    public class Card: IComparable<Card>
    {
        private int cardType;
        private string cardStr;
        private int cardNum;

        public static string[] arr = { "a", "j", "q", "k" ,"2"};
        public int CardType
        {
            get { return cardType; }
            set
            {
                if (value > 0 && value <= 5)
                {
                    cardType = value;
                }
            }
        }
        public string CardcardStr
        {
            get { return cardStr; }
            set
            {

                if (arr.Contains(value))
                {
                    cardStr = value;

                    if (value == "j")
                    {
                        cardNum = 11;
                    }
                    else if (value == "q")
                    {
                        cardNum = 12;
                    }
                    else if (value == "k")
                    {
                        cardNum = 13;
                    }
                    else if (value == "a")
                    {
                        cardNum = 14;
                    }
                    else if (value == "2")
                    {
                        cardNum = 22;
                    }

                    cardStr = value;
                }
                else
                {
                    int num = 0;
                    if (int.TryParse(value, out num))
                    {
                        if (num > 0 && num < 11)
                        {
                            if (cardType == 5)
                            {

                                if (num != 1 && num != 3)
                                {
                                    throw new Exception(cardType + ":" + value + "大小王不合法");
                                }
                                cardNum = cardType * 10 + num;
                            }
                            else
                            {

                                cardNum = num;
                            }
                            cardStr = value;
                        }
                        else
                        {
                            throw new Exception(value + "不合法");
                        }
                    }
                    else
                    {
                        throw new Exception(value + "不合法");
                    }
                }
                
            }
        }

        public int CardNum
        {
            get { return cardNum; }
            private set { }
        }

        public bool IsEqual(Card one)
        {
            return this.cardNum == one.CardNum;
        }

        public int CompareTo(Card other)
        {
            return this.cardNum - other.CardNum;
        }
    
        public Card(int ctype,string cardStr)
        {
            this.CardType = ctype;
            this.CardcardStr = cardStr;
        }
    }
}
