﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using FightLandloard.Modal;
namespace FightLandloard.Test
{
    class Program
    {
        static void Main(string[] args)
        {
            //SingleCardTest();
            // DoubleCardTest();
            //DoubleSeqTest();
            //ThreeGroupTest();
            //PlaneWithNothingGroupTest();
            //PlaneWithSingleGroupTest();
            //PlaneWithDoubleGroupTest();
            //SingleSeqGroupTest();
            //BomGroupTest();
            // BomPlaneWithNothingGroupTest();
            //BomPlaneWithSingleGroupTest();
            //BomPlaneWithDoubleGroupTest();
            //PlaneAndBomGroupTest();
            // CardGroupFactoryTest();
            CardGroupFactoryTest2();
            Console.ReadKey();


        }

       

        static void  SingleCardTest()
        {
            List<Card> listSingle1 = new List<Card>();
            List<Card> listSingle2 = new List<Card>();
            listSingle1.Add(new Card(2, "4"));
            listSingle2.Add(new Card(2, "3"));
            BaseCardGroup b1 = new BaseCardGroup(listSingle1);
            BaseCardGroup b2 = new BaseCardGroup(listSingle2);

            bool isV1 = b1.IsValid();
            bool isV2 = b2.IsValid();

            if (isV1 && isV2)
            {
                var flag = b1.CompareToOther(b2);

                Console.WriteLine(listSingle1[0].CardType.ToString()+listSingle1[0].CardcardStr+">"+ listSingle2[0].CardType.ToString() + listSingle2[0].CardcardStr + flag);
            }

        }
    
        static void DoubleCardTest()
        {
            List<Card> lst1 = new List<Card>();
            List<Card> lst2 = new List<Card>();

            lst1.Add(new Card(2, "a"));
            lst1.Add(new Card(3, "a"));


            lst2.Add(new Card(3, "10"));
            lst2.Add(new Card(4, "10"));

            DoubleCardsGroup dg1 = new DoubleCardsGroup(lst1);
            DoubleCardsGroup dg2 = new DoubleCardsGroup(lst2);

            Console.WriteLine(dg1.IsValid());
            Console.WriteLine(dg2.IsValid());

            Console.WriteLine(lst1[0].CardType + lst1[0].CardcardStr + ">" + lst2[0].CardType + lst2[0].CardcardStr + dg1.CompareToOther(dg2));

        }
   
        static void DoubleSeqTest()
        {

            var a = new Card(3, "2");

            List<Card> lst1 = new List<Card>();
            List<Card> lst2 = new List<Card>();

            lst1.Add(new Card(2, "a"));
            lst1.Add(new Card(3, "a"));

            lst1.Add(new Card(2, "q"));
            lst1.Add(new Card(3, "q"));
            
            lst1.Add(new Card(2, "k"));
            lst1.Add(new Card(3, "k"));

            lst1.Add(new Card(2, "j"));
            lst1.Add(new Card(3, "j"));



            //lst2.Add(new Card(3, "10"));
            //lst2.Add(new Card(4, "10"));

            //lst2.Add(new Card(3, "j"));
            //lst2.Add(new Card(4, "j"));

            //lst2.Add(new Card(3, "9"));
            //lst2.Add(new Card(4, "9"));
            //lst2.Add(new Card(3, "q"));
            //lst2.Add(new Card(4, "q"));


            lst2.Add(new Card(3, "2"));
            lst2.Add(new Card(4, "2"));

            lst2.Add(new Card(3, "3"));
            lst2.Add(new Card(4, "3"));

            lst2.Add(new Card(3, "4"));
            lst2.Add(new Card(4, "4"));
            lst2.Add(new Card(3, "5"));
            lst2.Add(new Card(4, "5"));


            DoubleSeqGroup dg1 = new DoubleSeqGroup(lst1);
            DoubleSeqGroup dg2 = new DoubleSeqGroup(lst2);

            Console.WriteLine(dg1.IsValid());
            Console.WriteLine(dg2.IsValid());

            for (int i = 0; i < lst1.Count; i++)
            {
                Console.Write(lst1[i].CardType + lst1[i].CardcardStr + "");
            }
            Console.Write(">");
            for (int i = 0; i < lst2.Count; i++)
            {
                Console.Write(lst2[i].CardType + lst2[i].CardcardStr + "");
            }
            Console.WriteLine(dg1.CompareToOther(dg2));
        }
    
        static void ThreeGroupTest()
        {
            List<Card> lst1 = new List<Card>();
            List<Card> lst2 = new List<Card>();

            lst1.Add(new Card(2, "a"));
            lst1.Add(new Card(3, "a"));
            lst1.Add(new Card(4, "a"));

            lst2.Add(new Card(3, "10"));
            lst2.Add(new Card(1, "10"));
            lst2.Add(new Card(2, "10"));
            

            ThreeCardGroup dg1 = new ThreeCardGroup(lst1);
            ThreeCardGroup dg2 = new ThreeCardGroup(lst2);

            Console.WriteLine(dg1.IsValid());
            Console.WriteLine(dg2.IsValid());

            for (int i = 0; i < lst1.Count; i++)
            {
                Console.Write(lst1[i].CardType + lst1[i].CardcardStr + " ");
            }
            Console.Write(">");
            for (int i = 0; i < lst2.Count; i++)
            {
                Console.Write(lst2[i].CardType + lst2[i].CardcardStr + " ");
            }
            Console.WriteLine(dg1.CompareToOther(dg2));
        }

        static void ThreeWithOneGroupTest()
        {
            List<Card> lst1 = new List<Card>();
            List<Card> lst2 = new List<Card>();

            lst1.Add(new Card(2, "a"));
            lst1.Add(new Card(3, "a"));
            lst1.Add(new Card(4, "a"));
            lst1.Add(new Card(4, "3"));

            lst2.Add(new Card(3, "10"));
            lst2.Add(new Card(1, "10"));
            lst2.Add(new Card(2, "10"));
            lst2.Add(new Card(1, "9"));

            ThreeWithOneGroup  dg1 = new ThreeWithOneGroup(lst1);
            ThreeWithOneGroup dg2 = new ThreeWithOneGroup(lst2);

            Console.WriteLine(dg1.IsValid());
            Console.WriteLine(dg2.IsValid());

            for (int i = 0; i < lst1.Count; i++)
            {
                Console.Write(lst1[i].CardType + lst1[i].CardcardStr + " ");
            }
            Console.Write(">");
            for (int i = 0; i < lst2.Count; i++)
            {
                Console.Write(lst2[i].CardType + lst2[i].CardcardStr + " ");
            }
            Console.WriteLine(dg1.CompareToOther(dg2));
        }

        static void ThreeWithDoubleGroupTest()
        {
            List<Card> lst1 = new List<Card>();
            List<Card> lst2 = new List<Card>();

            lst1.Add(new Card(2, "j"));
            lst1.Add(new Card(3, "j"));
            lst1.Add(new Card(4, "j"));
            lst1.Add(new Card(4, "a"));
            lst1.Add(new Card(2, "a"));

            lst2.Add(new Card(3, "10"));
            lst2.Add(new Card(1, "10"));
            lst2.Add(new Card(2, "10"));
            lst2.Add(new Card(1, "q"));
            lst2.Add(new Card(2, "q"));

            BaseCardGroup dg1 = new ThreeWithTowGroup(lst1);
            BaseCardGroup dg2 = new ThreeWithTowGroup(lst2);

            Console.WriteLine(dg1.IsValid());
            Console.WriteLine(dg2.IsValid());

            for (int i = 0; i < lst1.Count; i++)
            {
                Console.Write(lst1[i].CardType + lst1[i].CardcardStr + " ");
            }
            Console.Write(">");
            for (int i = 0; i < lst2.Count; i++)
            {
                Console.Write(lst2[i].CardType + lst2[i].CardcardStr + " ");
            }
            Console.WriteLine(dg1.CompareToOther(dg2));
        }

        static void PlaneWithNothingGroupTest()
        {
            List<Card> lst1 = new List<Card>();
            List<Card> lst2 = new List<Card>();

            lst1.Add(new Card(2, "j"));
            lst1.Add(new Card(3, "j"));
            lst1.Add(new Card(4, "j"));
           // lst1.Add(new Card(4, "a"));
           // lst1.Add(new Card(2, "a"));

            lst1.Add(new Card(3, "10"));
            lst1.Add(new Card(1, "10"));
            lst1.Add(new Card(2, "10"));
            // lst1.Add(new Card(1, "q"));
            // lst1.Add(new Card(2, "q"));

            lst2.Add(new Card(2, "8"));
            lst2.Add(new Card(3, "8"));
            lst2.Add(new Card(4, "8"));
            // lst1.Add(new Card(4, "a"));
            // lst1.Add(new Card(2, "a"));

            lst2.Add(new Card(3, "9"));
            lst2.Add(new Card(1, "9"));
            lst2.Add(new Card(2, "9"));
            // lst1.Add(new Card(1, "q"));
            // lst1.Add(new Card(2, "q"));


            BaseCardGroup dg1 = new PlaneWithNothingGroup(lst1);
            BaseCardGroup dg2 = new PlaneWithNothingGroup(lst2);

            Console.WriteLine(dg1.IsValid());
            Console.WriteLine(dg2.IsValid());

            for (int i = 0; i < lst1.Count; i++)
            {
                Console.Write(lst1[i].CardType + lst1[i].CardcardStr + " ");
            }
            Console.Write(">");
            for (int i = 0; i < lst2.Count; i++)
            {
                Console.Write(lst2[i].CardType + lst2[i].CardcardStr + " ");
            }
            Console.WriteLine(dg1.CompareToOther(dg2));
        }

        static void PlaneWithSingleGroupTest()
        {
            List<Card> lst1 = new List<Card>();
            List<Card> lst2 = new List<Card>();

            lst1.Add(new Card(2, "9"));
            lst1.Add(new Card(3, "9"));
            lst1.Add(new Card(4, "9"));
            lst1.Add(new Card(4, "3"));

            lst1.Add(new Card(2, "j"));
            lst1.Add(new Card(3, "j"));
            lst1.Add(new Card(4, "j"));
            lst1.Add(new Card(3, "3"));
            // lst1.Add(new Card(2, "a"));

            lst1.Add(new Card(3, "10"));
            lst1.Add(new Card(1, "10"));
            lst1.Add(new Card(2, "10"));
            lst1.Add(new Card(1, "3"));
            // lst1.Add(new Card(2, "q"));

            lst2.Add(new Card(2, "q"));
            lst2.Add(new Card(3, "q"));
            lst2.Add(new Card(4, "q"));
            lst2.Add(new Card(4, "k"));
            // lst1.Add(new Card(2, "a"));

            lst2.Add(new Card(3, "k"));
            lst2.Add(new Card(1, "k"));
            lst2.Add(new Card(2, "k"));
            lst2.Add(new Card(1, "2"));
            // lst1.Add(new Card(2, "q"));


            BaseCardGroup dg1 = new PlaneWithSingleGroup(lst1);
            BaseCardGroup dg2 = new PlaneWithSingleGroup(lst2);

            Console.WriteLine(dg1.IsValid());
            Console.WriteLine(dg2.IsValid());

            for (int i = 0; i < lst1.Count; i++)
            {
                Console.Write(lst1[i].CardType + lst1[i].CardcardStr + " ");
            }
            Console.Write(">");
            for (int i = 0; i < lst2.Count; i++)
            {
                Console.Write(lst2[i].CardType + lst2[i].CardcardStr + " ");
            }
            Console.WriteLine(dg1.CompareToOther(dg2));
        }

        static void PlaneWithDoubleGroupTest()
        {
            List<Card> lst1 = new List<Card>();
            List<Card> lst2 = new List<Card>();

            lst1.Add(new Card(2, "9"));
            lst1.Add(new Card(3, "9"));
            lst1.Add(new Card(4, "9"));
            lst1.Add(new Card(4, "4"));
            lst1.Add(new Card(1, "4"));

            lst1.Add(new Card(2, "j"));
            lst1.Add(new Card(3, "j"));
            lst1.Add(new Card(4, "j"));
            lst1.Add(new Card(4, "2"));
            lst1.Add(new Card(1, "2"));
            // lst1.Add(new Card(2, "a"));

            lst1.Add(new Card(3, "10"));
            lst1.Add(new Card(1, "10"));
            lst1.Add(new Card(2, "10"));
            lst1.Add(new Card(4, "5"));
            lst1.Add(new Card(1, "5"));
            // lst1.Add(new Card(2, "q"));

            lst2.Add(new Card(2, "q"));
            lst2.Add(new Card(3, "q"));
            lst2.Add(new Card(4, "q"));
            lst2.Add(new Card(4, "3"));
            lst2.Add(new Card(2, "3"));
            // lst1.Add(new Card(2, "a"));

            lst2.Add(new Card(3, "k"));
            lst2.Add(new Card(1, "k"));
            lst2.Add(new Card(2, "k"));
            lst2.Add(new Card(1, "4"));
            lst2.Add(new Card(2, "4"));

            lst2.Add(new Card(3, "a"));
            lst2.Add(new Card(1, "a"));
            lst2.Add(new Card(2, "a"));
            lst2.Add(new Card(1, "5"));
            lst2.Add(new Card(2, "5"));
            // lst1.Add(new Card(2, "q"));


            BaseCardGroup dg1 = new PlaneWithDoubleGroup(lst1);
            BaseCardGroup dg2 = new PlaneWithDoubleGroup(lst2);

            Console.WriteLine(dg1.IsValid());
            Console.WriteLine(dg2.IsValid());

            for (int i = 0; i < lst1.Count; i++)
            {
                Console.Write(lst1[i].CardType + lst1[i].CardcardStr + " ");
            }
            Console.Write(">");
            for (int i = 0; i < lst2.Count; i++)
            {
                Console.Write(lst2[i].CardType + lst2[i].CardcardStr + " ");
            }
            Console.WriteLine(dg1.CompareToOther(dg2));
        }
   
        static void SingleSeqGroupTest()
        {
            List<Card> lst1 = new List<Card>();
            List<Card> lst2 = new List<Card>();
            
            lst1.Add(new Card(2, "3"));
            lst1.Add(new Card(3, "4"));
            lst1.Add(new Card(4, "5"));
            lst1.Add(new Card(4, "6"));
            lst1.Add(new Card(2, "7"));
            lst1.Add(new Card(2, "8"));

            lst2.Add(new Card(3, "7"));
            lst2.Add(new Card(3, "8"));
            lst2.Add(new Card(1, "9"));
            lst2.Add(new Card(2, "10"));
            lst2.Add(new Card(1, "j"));
            lst2.Add(new Card(2, "q"));

            BaseCardGroup dg1 = new SingleSeqGroup(lst1);
            BaseCardGroup dg2 = new SingleSeqGroup(lst2);

            Console.WriteLine(dg1.IsValid());
            Console.WriteLine(dg2.IsValid());

            for (int i = 0; i < lst1.Count; i++)
            {
                Console.Write(lst1[i].CardType + lst1[i].CardcardStr + " ");
            }
            Console.Write(">");
            for (int i = 0; i < lst2.Count; i++)
            {
                Console.Write(lst2[i].CardType + lst2[i].CardcardStr + " ");
            }
            Console.WriteLine(dg1.CompareToOther(dg2));


        }
   
    
        static void BomGroupTest()
        {
            List<Card> lst1 = new List<Card>();
            List<Card> lst2 = new List<Card>();

            lst1.Add(new Card(5, "1"));
            lst1.Add(new Card(5, "3"));


            lst2.Add(new Card(3, "2"));
            lst2.Add(new Card(4, "2"));
            lst2.Add(new Card(1, "2"));
            lst2.Add(new Card(2, "2"));

            BaseCardGroup dg1 = new BomGroup(lst1);
            BaseCardGroup dg2 = new BomGroup(lst2);

            Console.WriteLine(dg1.IsValid());
            Console.WriteLine(dg2.IsValid());

            for (int i = 0; i < lst1.Count; i++)
            {
                Console.Write(lst1[i].CardType + lst1[i].CardcardStr + " ");
            }
            Console.Write(">");
            for (int i = 0; i < lst2.Count; i++)
            {
                Console.Write(lst2[i].CardType + lst2[i].CardcardStr + " ");
            }
            Console.WriteLine(dg1.CompareToOther(dg2));
        }

        static void BomPlaneWithNothingGroupTest()
        {
            List<Card> lst1 = new List<Card>();
            List<Card> lst2 = new List<Card>();

            lst1.Add(new Card(3, "9"));
            lst1.Add(new Card(4, "9"));
            lst1.Add(new Card(1, "9"));
            lst1.Add(new Card(2, "9"));
            lst1.Add(new Card(3, "8"));
            lst1.Add(new Card(4, "8"));
            lst1.Add(new Card(1, "8"));
            lst1.Add(new Card(2, "8"));


            lst2.Add(new Card(3, "a"));
            lst2.Add(new Card(4, "a"));
            lst2.Add(new Card(1, "a"));
            lst2.Add(new Card(2, "a"));
            lst2.Add(new Card(3, "k"));
            lst2.Add(new Card(4, "k"));
            lst2.Add(new Card(1, "k"));
            lst2.Add(new Card(2, "k"));

            BaseCardGroup dg1 = new BomPlaneWithNothingGroup(lst1);
            BaseCardGroup dg2 = new BomPlaneWithNothingGroup(lst2);

            Console.WriteLine(dg1.IsValid());
            Console.WriteLine(dg2.IsValid());

            for (int i = 0; i < lst1.Count; i++)
            {
                Console.Write(lst1[i].CardType + lst1[i].CardcardStr + " ");
            }
            Console.Write(">");
            for (int i = 0; i < lst2.Count; i++)
            {
                Console.Write(lst2[i].CardType + lst2[i].CardcardStr + " ");
            }
            Console.WriteLine(dg1.CompareToOther(dg2));
        }

        static void BomPlaneWithSingleGroupTest()
        {
            List<Card> lst1 = new List<Card>();
            List<Card> lst2 = new List<Card>();

            lst1.Add(new Card(3, "9"));
            lst1.Add(new Card(4, "9"));
            lst1.Add(new Card(1, "9"));
            lst1.Add(new Card(2, "9"));
            lst1.Add(new Card(3, "8"));
            lst1.Add(new Card(4, "8"));
            lst1.Add(new Card(1, "8"));
            lst1.Add(new Card(2, "8"));
            lst1.Add(new Card(1, "7"));
            lst1.Add(new Card(2, "10"));
            lst1.Add(new Card(1, "5"));
            lst1.Add(new Card(2, "6"));

            lst2.Add(new Card(3, "a"));
            lst2.Add(new Card(4, "a"));
            lst2.Add(new Card(1, "a"));
            lst2.Add(new Card(2, "a"));
            lst2.Add(new Card(3, "k"));
            lst2.Add(new Card(4, "k"));
            lst2.Add(new Card(1, "k"));
            lst2.Add(new Card(2, "k"));
            lst2.Add(new Card(1, "2"));
            lst2.Add(new Card(2, "3"));
            lst2.Add(new Card(1, "j"));
            lst2.Add(new Card(2, "5"));

            BaseCardGroup dg1 = new BomPlaneWithSingleGroup(lst1);
            BaseCardGroup dg2 = new BomPlaneWithSingleGroup(lst2);

            Console.WriteLine(dg1.IsValid());
            Console.WriteLine(dg2.IsValid());

            for (int i = 0; i < lst1.Count; i++)
            {
                Console.Write(lst1[i].CardType + lst1[i].CardcardStr + " ");
            }
            Console.Write(">");
            for (int i = 0; i < lst2.Count; i++)
            {
                Console.Write(lst2[i].CardType + lst2[i].CardcardStr + " ");
            }
            Console.WriteLine(dg1.CompareToOther(dg2));
        }

        static void BomPlaneWithDoubleGroupTest()
        {
            List<Card> lst1 = new List<Card>();
            List<Card> lst2 = new List<Card>();

            lst1.Add(new Card(3, "9"));
            lst1.Add(new Card(4, "9"));
            lst1.Add(new Card(1, "9"));
            lst1.Add(new Card(2, "9"));
            lst1.Add(new Card(3, "8"));
            lst1.Add(new Card(4, "8"));
            lst1.Add(new Card(1, "8"));
            lst1.Add(new Card(2, "8"));
            lst1.Add(new Card(1, "10"));
            lst1.Add(new Card(2, "10"));
            lst1.Add(new Card(1, "5"));
            lst1.Add(new Card(2, "5"));
            lst1.Add(new Card(1, "j"));
            lst1.Add(new Card(2, "j"));
            lst1.Add(new Card(1, "q"));
            lst1.Add(new Card(2, "q"));

            lst2.Add(new Card(3, "a"));
            lst2.Add(new Card(4, "a"));
            lst2.Add(new Card(1, "a"));
            lst2.Add(new Card(2, "a"));
            lst2.Add(new Card(3, "k"));
            lst2.Add(new Card(4, "k"));
            lst2.Add(new Card(1, "k"));
            lst2.Add(new Card(2, "k"));
            lst2.Add(new Card(1, "2"));
            lst2.Add(new Card(2, "2"));
            lst2.Add(new Card(1, "3"));
            lst2.Add(new Card(2, "3"));
            lst2.Add(new Card(1, "q"));
            lst2.Add(new Card(2, "q"));
            lst2.Add(new Card(1, "6"));
            lst2.Add(new Card(2, "6"));

            BaseCardGroup dg1 = new BomPlaneWithDoubleGroup(lst1);
            BaseCardGroup dg2 = new BomPlaneWithDoubleGroup(lst2);

            Console.WriteLine(dg1.IsValid());
            Console.WriteLine(dg2.IsValid());

            for (int i = 0; i < lst1.Count; i++)
            {
                Console.Write(lst1[i].CardType + lst1[i].CardcardStr + " ");
            }
            Console.Write(">");
            for (int i = 0; i < lst2.Count; i++)
            {
                Console.Write(lst2[i].CardType + lst2[i].CardcardStr + " ");
            }
            Console.WriteLine(dg1.CompareToOther(dg2));
        }

        private static void PlaneAndBomGroupTest()
        {
            List<Card> lst1 = new List<Card>();
            List<Card> lst2 = new List<Card>();

            lst1.Add(new Card(3, "9"));
            lst1.Add(new Card(4, "9"));
            lst1.Add(new Card(1, "9"));
            lst1.Add(new Card(2, "9"));
            lst1.Add(new Card(3, "8"));
            lst1.Add(new Card(4, "8"));
            lst1.Add(new Card(1, "8"));
            lst1.Add(new Card(2, "8"));
            lst1.Add(new Card(1, "10"));
            lst1.Add(new Card(2, "10"));
            lst1.Add(new Card(1, "5"));
            lst1.Add(new Card(2, "5"));
            lst1.Add(new Card(1, "j"));
            lst1.Add(new Card(2, "j"));
            lst1.Add(new Card(1, "q"));
            lst1.Add(new Card(2, "q"));


            lst2.Add(new Card(3, "2"));
            lst2.Add(new Card(4, "2"));
            lst2.Add(new Card(1, "2"));
            lst2.Add(new Card(2, "2"));
            BaseCardGroup dg1 = new BomPlaneWithDoubleGroup(lst1);
            BaseCardGroup dg2 = new BomGroup(lst2);

            Console.WriteLine(dg1.IsValid());
            Console.WriteLine(dg2.IsValid());

            for (int i = 0; i < lst1.Count; i++)
            {
                Console.Write(lst1[i].CardType + lst1[i].CardcardStr + " ");
            }
            Console.Write(">");
            for (int i = 0; i < lst2.Count; i++)
            {
                Console.Write(lst2[i].CardType + lst2[i].CardcardStr + " ");
            }
            Console.WriteLine(dg1.IsBiggerThanOther(dg2));
            Console.WriteLine(dg2.IsBiggerThanOther(dg1));
        }
    
        static void CardGroupFactoryTest()
        {
            CardGroupFactory fac = CardGroupFactory.CreateInstance();

            var t = typeof(ThreeWithTowGroup);
            var t2 = typeof(ThreeWithTowGroup);
            List<Card> lst1 = new List<Card>();
            List<Card> lst2 = new List<Card>();
            lst1.Add(new Card(2, "j"));
            lst1.Add(new Card(3, "j"));
            lst1.Add(new Card(4, "j"));
            lst1.Add(new Card(4, "a"));
            lst1.Add(new Card(2, "a"));

            lst2.Add(new Card(3, "10"));
            lst2.Add(new Card(1, "10"));
            lst2.Add(new Card(2, "10"));
            lst2.Add(new Card(1, "q"));
            lst2.Add(new Card(2, "q"));


            var bg = fac.CreateByCardType(t, lst1);
            var bg2 = fac.CreateByCardType(t2, lst2);
            Console.WriteLine(bg.GetType().ToString());
            Console.WriteLine(bg.IsValid());
            Console.WriteLine(bg2.IsValid());
            Console.WriteLine("bg>bg2"+bg.IsBiggerThanOther(bg2));

        }    
        static void CardGroupFactoryTest2()
        {
            List<Card> lst1 = new List<Card>();
            List<Card> lst2 = new List<Card>();
            lst1.Add(new Card(2, "j"));
            lst1.Add(new Card(3, "q"));
            lst1.Add(new Card(4, "j"));
            lst1.Add(new Card(4, "a"));
            lst1.Add(new Card(2, "a"));
            CardGroupFactory fac = CardGroupFactory.CreateInstance();
            var obj = fac.CreateByList(lst1);
            if (obj != null)
            {
                Console.WriteLine(obj.GetType().ToString());
            }
        }
    }
}
